# Amulius Ignius Serranus, Thysdrian Praetor (Amulius Ignius Serranus, thysdrianischer Praetor)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Legendary |
| Category | Seafaring |
| Slot Type | Captain |
| Scope | Ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Hitpoints | Ship | +75% | Ship |
| Movement speed | Ship | +15% | Ship |
| Damage slowdown reduction | Ship | Reduced | Ship |
| Travel speed between provinces | Ship | +40% | Ship |

## Boost Unlock
Equip ship with archers.

## Improves Buildings
- Ships

## Source
Research (military specialist)
